# Pix Domain

Pix Domains are the domains Pix participants register with Bacen to provide Brcodes, along with their respective certificate chains used for secure communication.

Here we will show you how to list them.

### The Pix Domain Object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `name` | STRING | Domain name registered in the Pix system. |
| `certificates` | LIST OF OBJECTS | List of certificate objects that make up the domain's certificate chain. |
| `certificates.content` | STRING | Certificate in PEM format. |

### List Pix Domains

`GET /v2/pix-domain`

List all registered Pix domains and their certificate chains.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `fields` | OPTIONAL | List of strings to filter response JSON keys. Not available in the SDKs. |

**Request**

```python
import starkinfra

domains = starkinfra.pixdomain.query()

for domain in domains:
    print(domain)
```

**Response**

```python
PixDomain(
    name="pix.starkbank.com",
    certificates=[
        pixdomain.Certificate(
            content="-----BEGIN CERTIFICATE-----..."
        )
    ]
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/pix-domain-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/pix-domain-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/pix-domain-php.md)
- [Java](https://docs.starkinfra.com/api/v2/pix-domain-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/pix-domain-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/pix-domain-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/pix-domain-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/pix-domain-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/pix-domain-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/pix-domain-curl.md)
